c*-*
c*-* Copyright (C) 2000 Massimo Marchi and Piero Procacci
c*-* Full copyright notice at http://www.chim.unifi.it/orac/copyright4.0.html
c*-* Contact for info M. Marchi, CEA,  Gif Sur Yvette 91191 (FRANCE) 
c*-* Email:marchi@villon.saclay.cea.fr
c*-* 
      SUBROUTINE bldbox(xp0,yp0,zp0,xpg,ypg,zpg,gh,mapnl,mapnl_slv,iret
     &     ,errmsg)

************************************************************************
*                                                                      *
*                                                                      *
*                                                                      *
************************************************************************

*======================= DECLARATIONS ==================================

      IMPLICIT none

      INCLUDE 'parst.h'
      INCLUDE 'cpropar.h'

*----------------------- ARGUMENTS -------------------------------------

      INTEGER iret
      REAL*8  xp0(*),yp0(*),zp0(*),xpg(*),ypg(*),zpg(*),gh(*)
      CHARACTER*80 errmsg
      INTEGER mapnl(*),mapnl_slv(*)


*-------------------- DECLARATION OF A SCRATCH COMMON ------------------

      INTEGER nb,nc,i
      PARAMETER (nb=m1*5,nc=192)
      INTEGER list(3,nb),hlist(3,nb),rlist(3,nb),index(nb)
      REAL*8  xpa(nb),ypa(nb),zpa(nb),xpb(nb),ypb(nb),zpb(nb),cg(3,3,nc)
     &     ,tg(3,nc),work(3*m1)
      COMMON / rag1 / xpa,ypa,zpa,xpb,ypb,zpb,cg,tg,work,list,hlist
     &     ,rlist,index
      INTEGER m,ib,i1
      
      IF(nb .LT. (nmol+1)*nato_slv) THEN
         errmsg=' IN BLDBOX : Insufficient dimensions do not allow to'
     &//' generate solvent.'
          iret=1
          RETURN
      END IF

      CALL setup_box(xp0,yp0,zp0,xpg,ypg,zpg,gh,mapnl,mapnl_slv,xpa,ypa
     &     ,zpa,xpb,ypb,zpb,index,cg,tg,list,hlist,rlist,nb,work,iret
     &     ,errmsg)
      IF(iret .EQ. 1) RETURN

      IF(slv_redef) THEN
         CALL redefine_slv(ss_point,m1+1,ss_index,prsymb,mend,nbun
     &        ,slv_redef_type,mres,grppt,iret,errmsg)
      END IF

*----------------- END OF EXECUTABLE STATEMENTS -----------------------*

      RETURN
      END
