c*-*
c*-* Copyright (C) 2000 Massimo Marchi and Piero Procacci
c*-* Full copyright notice at http://www.chim.unifi.it/orac/copyright4.0.html
c*-* Contact for info M. Marchi, CEA,  Gif Sur Yvette 91191 (FRANCE) 
c*-* Email:marchi@villon.saclay.cea.fr
c*-* 
      SUBROUTINE correc_scale(noff,n,vx,vy,vz,etap,dt)

************************************************************************
*   Time-stamp: <97/04/07 12:26:09 marchi>                             *
*                                                                      *
*                                                                      *
*                                                                      *
*======================================================================*
*                                                                      *
*              Author:  Massimo Marchi                                 *
*              CEA/Centre d'Etudes Saclay, FRANCE                      *
*                                                                      *
*              - Sun Apr  6 1997 -                                     *
*                                                                      *
************************************************************************

*---- This subroutine is part of the program ORAC ----*


*======================== DECLARATIONS ================================*

      IMPLICIT none

*----------------------------- ARGUMENTS ------------------------------*

      INTEGER n,noff
      REAL*8  etap,dt,vx(*),vy(*),vz(*)

*------------------------- LOCAL VARIABLES ----------------------------*

      INTEGER i
      REAL*8  scale

*----------------------- EXECUTABLE STATEMENTS ------------------------*

      scale=DEXP(-dt*etap)
      DO i=noff,n
         vx(i)=vx(i)*scale
         vy(i)=vy(i)*scale
         vz(i)=vz(i)*scale
      END DO

*----------------- END OF EXECUTABLE STATEMENTS -----------------------*

      RETURN
      END
