c*-*
c*-* Copyright (C) 2000 Massimo Marchi and Piero Procacci
c*-* Full copyright notice at http://www.chim.unifi.it/orac/copyright4.0.html
c*-* Contact for info M. Marchi, CEA,  Gif Sur Yvette 91191 (FRANCE) 
c*-* Email:marchi@villon.saclay.cea.fr
c*-* 
      SUBROUTINE covuen(alfa,emin,emax)

************************************************************************
*                                                                      *
*     Convert folding parameters to program units.                     *
*                                                                      *
*---- Last update 04/01/91 --------------------------------------------*
*                                                                      *
*     Written by Massimo Marchi UC Berkeley 1991                       *
*                                                                      *
*     EXTERNALS NONE                                                   *
*                                                                      *
*                                                                      *
************************************************************************

!======================= DECLARATIONS ==================================

      IMPLICIT none

*----------------------- ARGUMENTS -------------------------------------

      REAL*8  alfa,emin,emax

*-------------------- VARIABLES IN COMMON ------------------------------

      INCLUDE 'unit.h'


!==================== EXECUTABLE STATEMENTS ============================

      alfa=alfa*unite*avogad/(1000.0D0)
      emin=emin*1000.0D0/(unite*avogad)
      emax=emax*1000.0D0/(unite*avogad)

!================= END OF EXECUTABLE STATEMENTS ========================

      RETURN
      END
