c*-*
c*-* Copyright (C) 2000 Massimo Marchi and Piero Procacci
c*-* Full copyright notice at http://www.chim.unifi.it/orac/copyright4.0.html
c*-* Contact for info M. Marchi, CEA,  Gif Sur Yvette 91191 (FRANCE) 
c*-* Email:marchi@villon.saclay.cea.fr
c*-* 
      SUBROUTINE correc_scale_2(pointer,vx,vy,vz,etap,dt)

************************************************************************
*   Time-stamp: <97/06/29 13:26:21 marchi>                             *
*                                                                      *
*                                                                      *
*                                                                      *
*======================================================================*
*                                                                      *
*              Author:  Massimo Marchi                                 *
*              CEA/Centre d'Etudes Saclay, FRANCE                      *
*                                                                      *
*              - Sun Apr  6 1997 -                                     *
*                                                                      *
************************************************************************

*---- This subroutine is part of the program ORAC ----*


*======================== DECLARATIONS ================================*

      IMPLICIT none

*----------------------------- ARGUMENTS ------------------------------*

      INTEGER pointer(*)
      REAL*8  etap,dt,vx(*),vy(*),vz(*)

*------------------------- LOCAL VARIABLES ----------------------------*

      INTEGER i,j,m
      REAL*8  scale

*----------------------- EXECUTABLE STATEMENTS ------------------------*

      scale=DEXP(-dt*etap)
      m=pointer(1)
      DO j=1,m
         i=pointer(j+1)
         vx(i)=vx(i)*scale
         vy(i)=vy(i)*scale
         vz(i)=vz(i)*scale
      END DO

*----------------- END OF EXECUTABLE STATEMENTS -----------------------*

      RETURN
      END
