c*-*
c*-* Copyright (C) 2000 Massimo Marchi and Piero Procacci
c*-* Full copyright notice at http://www.chim.unifi.it/orac/copyright4.0.html
c*-* Contact for info M. Marchi, CEA,  Gif Sur Yvette 91191 (FRANCE) 
c*-* Email:marchi@villon.saclay.cea.fr
c*-* 
      SUBROUTINE gen_stress_tag_bnd(na,nb,index,atomp,tag)

************************************************************************
*   Time-stamp: <98/01/10 17:46:41 marchi>                             *
*                                                                      *
*                                                                      *
*                                                                      *
*======================================================================*
*                                                                      *
*              Author:  Massimo Marchi                                 *
*              CEA/Centre d'Etudes Saclay, FRANCE                      *
*                                                                      *
*              - Fri Jan  9 1998 -                                     *
*                                                                      *
************************************************************************

*---- This subroutine is part of the program ORAC ----*


*======================== DECLARATIONS ================================*

      IMPLICIT none

*----------------------------- ARGUMENTS ------------------------------*

      INTEGER na,nb
      INTEGER index(nb,*),atomp(*),tag(*)

*----------------------- VARIABLES IN COMMON --------------------------*

*------------------------- LOCAL VARIABLES ----------------------------*

      INTEGER i,l,ia,ib
      LOGICAL ok

*----------------------- EXECUTABLE STATEMENTS ------------------------*

      DO i=1,na
         ia=atomp(index(1,i))
         ok=.TRUE.
         DO l=2,nb
            ib=atomp(index(l,i))
            IF(ib .NE. ia) ok=.FALSE.
            ia=ib
         END DO
         IF(ok) THEN
            tag(i)=1
         ELSE
            tag(i)=2
         END IF
      END DO
      
*----------------- END OF EXECUTABLE STATEMENTS -----------------------*

      RETURN
      END
