/* perc_bondh.f -- translated by f2c (version 19950110).
   You must link the resulting object file with the libraries:
	-lf2c -lm   (in that order)
*/

#include "f2c.h"

/* Subroutine */ int perc_bondh__(index, concth, m1, mask)
integer *index, *concth, *m1;
logical *mask;
{
    /* System generated locals */
    integer concth_dim1, concth_offset, i__1;

    /* Local variables */
    integer i, ia, coordi;

/* ***********************************************************************
 */
/*   Time-stamp: <97/06/15 12:55:39 marchi>                             * 
*/
/*                                                                      * 
*/
/*   Percolate through a bond network including only connections        * 
*/
/*   with hydrogens                                                     * 
*/
/*                                                                      * 
*/
/*                                                                      * 
*/
/*                                                                      * 
*/
/* ======================================================================*
 */
/*                                                                      * 
*/
/*              Author:  Massimo Marchi                                 * 
*/
/*              CEA/Centre d'Etudes Saclay, FRANCE                      * 
*/
/*                                                                      * 
*/
/*              - Fri Mar 28 1997 -                                     * 
*/
/*                                                                      * 
*/
/* ***********************************************************************
 */
/* ---- This subroutine is part of the program ORAC ----* */
/* ======================== DECLARATIONS ================================*
 */
/* ----------------------------- ARGUMENTS ------------------------------*
 */
/* ------------------------- LOCAL VARIABLES ----------------------------*
 */
/* ----------------------- EXECUTABLE STATEMENTS ------------------------*
 */
    /* Parameter adjustments */
    concth_dim1 = *m1;
    concth_offset = concth_dim1 + 1;
    concth -= concth_offset;
    --mask;

    /* Function Body */
    mask[*index] = FALSE_;
    coordi = concth[*index + concth_dim1];
    i__1 = coordi + 1;
    for (i = 2; i <= i__1; ++i) {
	ia = concth[*index + i * concth_dim1];
	if (mask[ia]) {
	    perc_bondh__(&ia, &concth[concth_offset], m1, &mask[1]);
	}
    }
/* ----------------- END OF EXECUTABLE STATEMENTS -----------------------*
 */
    return 0;
} /* perc_bondh__ */

